package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	Purchase := beego.NewNamespace("/Purchase",
		beego.NSRouter("/List", &controllers.PurchaseController{}, "*:Purchase_List"),           // 管理员列表
		beego.NSRouter("/User_list", &controllers.PurchaseController{}, "*:Purchase_User_List"), // 用户列表
		beego.NSRouter("/Add", &controllers.PurchaseController{}, "*:Purchase_Add"),             // 添加项目
		beego.NSRouter("/Get", &controllers.PurchaseController{}, "*:Purchase_Get"),             // 项目详情
		beego.NSRouter("/Edit", &controllers.PurchaseController{}, "*:Purchase_Edit"),           // 修改项目
		beego.NSRouter("/Approval", &controllers.PurchaseController{}, "*:Purchase_Approval"),   // 项目审批
		beego.NSRouter("/Del", &controllers.PurchaseController{}, "*:Purchase_Del"),             // 删除项目
	)
	beego.AddNamespace(Purchase)
}
