package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	RepairWorkOrder := beego.NewNamespace("/RepairWorkOrder",
		beego.NSRouter("/List", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_List"),                 //
		beego.NSRouter("/User_List", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_User_List"),       //
		beego.NSRouter("/Add", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_Add"),                   //
		beego.NSRouter("/Edit", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_Edit"),                 //
		beego.NSRouter("/Del", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_Del"),                   //
		beego.NSRouter("/Return", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_Return"),             // 归还
		beego.NSRouter("/Redeploy", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_Redeploy"),         // 转派
		beego.NSRouter("/Start_Repair", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_Start_Repair"), // 开始维修
		beego.NSRouter("/Finish", &controllers.RepairWorkOrderController{}, "*:RepairWorkOrder_Finish"),             // 转派
	)
	beego.AddNamespace(RepairWorkOrder)
}
