package main

import (
	"fmt"
	"testing"
	"time"
)

// 测试函数
func TestBeego(t *testing.T) {
	generateMonthList(time.Now().AddDate(-1, 0, 0))
}

func generateMonthList(startMonth time.Time) []string {
	var months []string
	endMonth := time.Now().AddDate(0, 1, 0)
	for month := startMonth; month.Before(endMonth); month = month.AddDate(0, 1, 0) {
		fmt.Println("=========================", month.Format("2006-01"))
		months = append(months, month.Format("2006-01"))
	}
	return months
}
